com.creamtec.ajaxswing.gui.peer

## Class AjaxSwingListPeer

- java.lang.Object
- - com.creamtec.ajaxswing.gui.peer.AjaxSwingComponentPeer
  - - com.creamtec.ajaxswing.gui.peer.AjaxSwingListPeer

- All Implemented Interfaces:
    java.awt.peer.ComponentPeer, java.awt.peer.ListPeer

      public class AjaxSwingListPeer
      extends AjaxSwingComponentPeer
      implements java.awt.peer.ListPeer

- - ### Field Summary

    - ### Fields inherited from interface java.awt.peer.ComponentPeer

      `DEFAULT_OPERATION, NO_EMBEDDED_CHECK, RESET_OPERATION, SET_BOUNDS, SET_CLIENT_SIZE, SET_LOCATION, SET_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxSwingListPeer(java.awt.List target)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(java.lang.String item, int index)`
    `void` | `addItem(java.lang.String item, int index)`
    `void` | `clear()`
    `void` | `clearSelection()`
    `javax.swing.JComponent` | `createDelegate()`
    `void` | `delItems(int start, int end)`
    `void` | `deselect(int index)`
    `java.awt.Dimension` | `getMinimumSize(int rows)`
    `java.awt.Dimension` | `getPreferredSize(int rows)`
    `int[]` | `getSelectedIndexes()`
    `boolean` | `isFocusable()`
    `void` | `makeVisible(int index)`
    `java.awt.Dimension` | `minimumSize(int rows)`
    `java.awt.Dimension` | `preferredSize(int rows)`
    `void` | `removeAll()`
    `void` | `select(int index)`
    `void` | `setMultipleMode(boolean multiple)`
    `void` | `setMultipleSelections(boolean v)`

    - ### Methods inherited from class com.creamtec.ajaxswing.gui.peer.AjaxSwingComponentPeer

      `applyShape, canDetermineObscurity, checkImage, coalescePaintEvent, createBuffers, createImage, createImage, createVolatileImage, destroyBuffers, disable, dispose, enable, flip, flip, getAppropriateGraphicsConfiguration, getBackBuffer, getBounds, getColorModel, getDelegate, getDelegateComponent, getFontMetrics, getGraphics, getGraphicsConfiguration, getImage, getLocationOnScreen, getMinimumSize, getPreferredSize, getTarget, getToolkit, handleEvent, handlesWheelScrolling, hide, isFocusTraversable, isObscured, isReparentSupported, layout, minimumSize, paint, preferredSize, prepareImage, print, repaint, reparent, requestFocus, requestFocus, requestFocus, reshape, setBackground, setBounds, setBounds, setBounds, setCursor, setDelegate, setDelegateComponent, setEnabled, setFont, setForeground, setTarget, setVisible, setZOrder, show, updateCursorImmediately, updateGraphicsData`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.awt.peer.ComponentPeer

      `applyShape, canDetermineObscurity, checkImage, coalescePaintEvent, createBuffers, createImage, createImage, createVolatileImage, destroyBuffers, dispose, flip, getBackBuffer, getColorModel, getFontMetrics, getGraphics, getGraphicsConfiguration, getLocationOnScreen, getMinimumSize, getPreferredSize, getToolkit, handleEvent, handlesWheelScrolling, isObscured, isReparentSupported, layout, paint, prepareImage, print, reparent, requestFocus, setBackground, setBounds, setEnabled, setFont, setForeground, setVisible, setZOrder, updateCursorImmediately, updateGraphicsData`

- - ### Constructor Detail

    - #### AjaxSwingListPeer

          public AjaxSwingListPeer(java.awt.List target)

  - ### Method Detail

    - #### createDelegate

          public javax.swing.JComponent createDelegate()

      Overrides:
        `createDelegate` in class `AjaxSwingComponentPeer`

    - #### getSelectedIndexes

          public int[] getSelectedIndexes()

      Specified by:
        `getSelectedIndexes` in interface `java.awt.peer.ListPeer`

    - #### add

          public void add(java.lang.String item,
                 int index)

      Specified by:
        `add` in interface `java.awt.peer.ListPeer`

    - #### delItems

          public void delItems(int start,
                      int end)

      Specified by:
        `delItems` in interface `java.awt.peer.ListPeer`

    - #### removeAll

          public void removeAll()

      Specified by:
        `removeAll` in interface `java.awt.peer.ListPeer`

    - #### select

          public void select(int index)

      Specified by:
        `select` in interface `java.awt.peer.ListPeer`

    - #### deselect

          public void deselect(int index)

      Specified by:
        `deselect` in interface `java.awt.peer.ListPeer`

    - #### setMultipleMode

          public void setMultipleMode(boolean multiple)

      Specified by:
        `setMultipleMode` in interface `java.awt.peer.ListPeer`

    - #### makeVisible

          public void makeVisible(int index)

      Specified by:
        `makeVisible` in interface `java.awt.peer.ListPeer`

    - #### addItem

          public void addItem(java.lang.String item,
                     int index)

    - #### clear

          public void clear()

    - #### setMultipleSelections

          public void setMultipleSelections(boolean v)

    - #### preferredSize

          public java.awt.Dimension preferredSize(int rows)

    - #### minimumSize

          public java.awt.Dimension minimumSize(int rows)

    - #### getPreferredSize

          public java.awt.Dimension getPreferredSize(int rows)

      Specified by:
        `getPreferredSize` in interface `java.awt.peer.ListPeer`

    - #### getMinimumSize

          public java.awt.Dimension getMinimumSize(int rows)

      Specified by:
        `getMinimumSize` in interface `java.awt.peer.ListPeer`

    - #### clearSelection

          public void clearSelection()

    - #### isFocusable

          public boolean isFocusable()

      Specified by:
        `isFocusable` in interface `java.awt.peer.ComponentPeer`
      Overrides:
        `isFocusable` in class `AjaxSwingComponentPeer`

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.